X11-1.10.3: A binding to the X11 graphics library

Copyright | (c) Haskell.org 2012 (c) Jochen Keil 2012
License | BSD3
Maintainer | Ben Boeckel <mathstuf@gmail.com> , Jochen Keil <jochen dot keil at gmail dot com>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.X11.Xrandr

Description

Synopsis

- data XRRScreenSize = XRRScreenSize {
  - xrr_ss_width :: !CInt
  - xrr_ss_height :: !CInt
  - xrr_ss_mwidth :: !CInt
  - xrr_ss_mheight :: !CInt
  }
- data XRRModeInfo = XRRModeInfo {
  - xrr_mi_id :: !RRMode
  - xrr_mi_width :: !CUInt
  - xrr_mi_height :: !CUInt
  - xrr_mi_dotClock :: !CUInt
  - xrr_mi_hSyncStart :: !CUInt
  - xrr_mi_hSyncEnd :: !CUInt
  - xrr_mi_hTotal :: !CUInt
  - xrr_mi_hSkew :: !CUInt
  - xrr_mi_vSyncStart :: !CUInt
  - xrr_mi_vSyncEnd :: !CUInt
  - xrr_mi_vTotal :: !CUInt
  - xrr_mi_name :: !String
  - xrr_mi_modeFlags :: !XRRModeFlags
  }
- data XRRScreenResources = XRRScreenResources {
  - xrr_sr_timestamp :: !Time
  - xrr_sr_configTimestamp :: !Time
  - xrr_sr_crtcs :: [RRCrtc]
  - xrr_sr_outputs :: [RROutput]
  - xrr_sr_modes :: [XRRModeInfo]
  }
- data XRROutputInfo = XRROutputInfo {
  - xrr_oi_timestamp :: !Time
  - xrr_oi_crtc :: !RRCrtc
  - xrr_oi_name :: !String
  - xrr_oi_mm_width :: !CULong
  - xrr_oi_mm_height :: !CULong
  - xrr_oi_connection :: !Connection
  - xrr_oi_subpixel_order :: !SubpixelOrder
  - xrr_oi_crtcs :: [RRCrtc]
  - xrr_oi_clones :: [RROutput]
  - xrr_oi_npreferred :: !CInt
  - xrr_oi_modes :: [RRMode]
  }
- data XRRCrtcInfo = XRRCrtcInfo {
  - xrr_ci_timestamp :: !Time
  - xrr_ci_x :: !CInt
  - xrr_ci_y :: !CInt
  - xrr_ci_width :: !CUInt
  - xrr_ci_height :: !CUInt
  - xrr_ci_mode :: !RRMode
  - xrr_ci_rotation :: !Rotation
  - xrr_ci_outputs :: [RROutput]
  - xrr_ci_rotations :: !Rotation
  - xrr_ci_possible :: [RROutput]
  }
- data XRRPropertyInfo = XRRPropertyInfo {
  - xrr_pi_pending :: !Bool
  - xrr_pi_range :: !Bool
  - xrr_pi_immutable :: !Bool
  - xrr_pi_values :: [CLong]
  }
- data XRRMonitorInfo = XRRMonitorInfo {
  - xrr_moninf_name :: !Atom
  - xrr_moninf_primary :: !Bool
  - xrr_moninf_automatic :: !Bool
  - xrr_moninf_x :: !CInt
  - xrr_moninf_y :: !CInt
  - xrr_moninf_width :: !CInt
  - xrr_moninf_height :: !CInt
  - xrr_moninf_mwidth :: !CInt
  - xrr_moninf_mheight :: !CInt
  - xrr_moninf_outputs :: [RROutput]
  }
- compiledWithXrandr :: Bool
- type Rotation = Word16
- type Reflection = Word16
- type SizeID = Word16
- data XRRScreenConfiguration
- xrrQueryExtension :: Display -> IO (Maybe (CInt, CInt))
- xrrQueryVersion :: Display -> IO (Maybe (CInt, CInt))
- xrrGetScreenInfo :: Display -> Drawable -> IO (Maybe XRRScreenConfiguration)
- xrrFreeScreenConfigInfo :: XRRScreenConfiguration -> IO ()
- xrrSetScreenConfig :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> Time -> IO Status
- xrrSetScreenConfigAndRate :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> CShort -> Time -> IO Status
- xrrConfigRotations :: XRRScreenConfiguration -> IO (Rotation, Rotation)
- xrrConfigTimes :: XRRScreenConfiguration -> IO (Time, Time)
- xrrConfigSizes :: XRRScreenConfiguration -> IO (Maybe [XRRScreenSize])
- xrrConfigRates :: XRRScreenConfiguration -> CInt -> IO (Maybe [CShort])
- xrrConfigCurrentConfiguration :: XRRScreenConfiguration -> IO (Rotation, SizeID)
- xrrConfigCurrentRate :: XRRScreenConfiguration -> IO CShort
- xrrRootToScreen :: Display -> Window -> IO CInt
- xrrSelectInput :: Display -> Window -> EventMask -> IO ()
- xrrUpdateConfiguration :: XEventPtr -> IO CInt
- xrrRotations :: Display -> CInt -> IO (Rotation, Rotation)
- xrrSizes :: Display -> CInt -> IO (Maybe [XRRScreenSize])
- xrrRates :: Display -> CInt -> CInt -> IO (Maybe [CShort])
- xrrTimes :: Display -> CInt -> IO (Time, Time)
- xrrGetScreenResources :: Display -> Window -> IO (Maybe XRRScreenResources)
- xrrGetOutputInfo :: Display -> XRRScreenResources -> RROutput -> IO (Maybe XRROutputInfo)
- xrrGetCrtcInfo :: Display -> XRRScreenResources -> RRCrtc -> IO (Maybe XRRCrtcInfo)
- xrrGetScreenResourcesCurrent :: Display -> Window -> IO (Maybe XRRScreenResources)
- xrrSetOutputPrimary :: Display -> Window -> RROutput -> IO ()
- xrrGetOutputPrimary :: Display -> Window -> IO RROutput
- xrrListOutputProperties :: Display -> RROutput -> IO (Maybe [Atom])
- xrrQueryOutputProperty :: Display -> RROutput -> Atom -> IO (Maybe XRRPropertyInfo)
- xrrConfigureOutputProperty :: Display -> RROutput -> Atom -> Bool -> Bool -> [CLong] -> IO ()
- xrrChangeOutputProperty :: Display -> RROutput -> Atom -> Atom -> CInt -> CInt -> [Word32] -> IO ()
- xrrGetOutputProperty :: Display -> RROutput -> Atom -> CLong -> CLong -> Bool -> Bool -> Atom -> IO (Maybe (Atom, Int, CULong, [Word32]))
- xrrDeleteOutputProperty :: Display -> RROutput -> Atom -> IO ()
- xrrGetMonitors :: Display -> Drawable -> Bool -> IO (Maybe [XRRMonitorInfo])

# Documentation

data XRRScreenSize #

Representation of the XRRScreenSize struct

Constructors

XRRScreenSize |

Fields

- xrr_ss_width :: !CInt
- xrr_ss_height :: !CInt
- xrr_ss_mwidth :: !CInt
- xrr_ss_mheight :: !CInt

#### Instances

Instances details

Storable XRRScreenSize # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

sizeOf :: XRRScreenSize -> Int #

alignment :: XRRScreenSize -> Int #

peekElemOff :: Ptr XRRScreenSize -> Int -> IO XRRScreenSize #

pokeElemOff :: Ptr XRRScreenSize -> Int -> XRRScreenSize -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRRScreenSize #

pokeByteOff :: Ptr b -> Int -> XRRScreenSize -> IO () #

peek :: Ptr XRRScreenSize -> IO XRRScreenSize #

poke :: Ptr XRRScreenSize -> XRRScreenSize -> IO () #

Show XRRScreenSize # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRRScreenSize -> ShowS # show :: XRRScreenSize -> String # showList :: [XRRScreenSize] -> ShowS #

data XRRModeInfo #

Representation of the XRRModeInfo struct

Constructors

XRRModeInfo |

Fields

- xrr_mi_id :: !RRMode
- xrr_mi_width :: !CUInt
- xrr_mi_height :: !CUInt
- xrr_mi_dotClock :: !CUInt
- xrr_mi_hSyncStart :: !CUInt
- xrr_mi_hSyncEnd :: !CUInt
- xrr_mi_hTotal :: !CUInt
- xrr_mi_hSkew :: !CUInt
- xrr_mi_vSyncStart :: !CUInt
- xrr_mi_vSyncEnd :: !CUInt
- xrr_mi_vTotal :: !CUInt
- xrr_mi_name :: !String
- xrr_mi_modeFlags :: !XRRModeFlags

#### Instances

Instances details

Storable XRRModeInfo # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

sizeOf :: XRRModeInfo -> Int #

alignment :: XRRModeInfo -> Int #

peekElemOff :: Ptr XRRModeInfo -> Int -> IO XRRModeInfo #

pokeElemOff :: Ptr XRRModeInfo -> Int -> XRRModeInfo -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRRModeInfo #

pokeByteOff :: Ptr b -> Int -> XRRModeInfo -> IO () #

peek :: Ptr XRRModeInfo -> IO XRRModeInfo #

poke :: Ptr XRRModeInfo -> XRRModeInfo -> IO () #

Show XRRModeInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRRModeInfo -> ShowS # show :: XRRModeInfo -> String # showList :: [XRRModeInfo] -> ShowS #
Eq XRRModeInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods (==) :: XRRModeInfo -> XRRModeInfo -> Bool # (/=) :: XRRModeInfo -> XRRModeInfo -> Bool #

data XRRScreenResources #

Representation of the XRRScreenResources struct

Constructors

XRRScreenResources |

Fields

- xrr_sr_timestamp :: !Time
- xrr_sr_configTimestamp :: !Time
- xrr_sr_crtcs :: [RRCrtc]
- xrr_sr_outputs :: [RROutput]
- xrr_sr_modes :: [XRRModeInfo]

#### Instances

Instances details

Storable XRRScreenResources # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

sizeOf :: XRRScreenResources -> Int #

alignment :: XRRScreenResources -> Int #

peekElemOff :: Ptr XRRScreenResources -> Int -> IO XRRScreenResources #

pokeElemOff :: Ptr XRRScreenResources -> Int -> XRRScreenResources -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRRScreenResources #

pokeByteOff :: Ptr b -> Int -> XRRScreenResources -> IO () #

peek :: Ptr XRRScreenResources -> IO XRRScreenResources #

poke :: Ptr XRRScreenResources -> XRRScreenResources -> IO () #

Show XRRScreenResources # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRRScreenResources -> ShowS # show :: XRRScreenResources -> String # showList :: [XRRScreenResources] -> ShowS #
Eq XRRScreenResources # |
Instance details Defined in Graphics.X11.Xrandr Methods (==) :: XRRScreenResources -> XRRScreenResources -> Bool # (/=) :: XRRScreenResources -> XRRScreenResources -> Bool #

data XRROutputInfo #

Representation of the XRROutputInfo struct

Constructors

XRROutputInfo |

Fields

- xrr_oi_timestamp :: !Time
- xrr_oi_crtc :: !RRCrtc
- xrr_oi_name :: !String
- xrr_oi_mm_width :: !CULong
- xrr_oi_mm_height :: !CULong
- xrr_oi_connection :: !Connection
- xrr_oi_subpixel_order :: !SubpixelOrder
- xrr_oi_crtcs :: [RRCrtc]
- xrr_oi_clones :: [RROutput]
- xrr_oi_npreferred :: !CInt
- xrr_oi_modes :: [RRMode]

#### Instances

Instances details

Storable XRROutputInfo # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

sizeOf :: XRROutputInfo -> Int #

alignment :: XRROutputInfo -> Int #

peekElemOff :: Ptr XRROutputInfo -> Int -> IO XRROutputInfo #

pokeElemOff :: Ptr XRROutputInfo -> Int -> XRROutputInfo -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRROutputInfo #

pokeByteOff :: Ptr b -> Int -> XRROutputInfo -> IO () #

peek :: Ptr XRROutputInfo -> IO XRROutputInfo #

poke :: Ptr XRROutputInfo -> XRROutputInfo -> IO () #

Show XRROutputInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRROutputInfo -> ShowS # show :: XRROutputInfo -> String # showList :: [XRROutputInfo] -> ShowS #
Eq XRROutputInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods (==) :: XRROutputInfo -> XRROutputInfo -> Bool # (/=) :: XRROutputInfo -> XRROutputInfo -> Bool #

data XRRCrtcInfo #

Representation of the XRRCrtcInfo struct

Constructors

XRRCrtcInfo |

Fields

- xrr_ci_timestamp :: !Time
- xrr_ci_x :: !CInt
- xrr_ci_y :: !CInt
- xrr_ci_width :: !CUInt
- xrr_ci_height :: !CUInt
- xrr_ci_mode :: !RRMode
- xrr_ci_rotation :: !Rotation
- xrr_ci_outputs :: [RROutput]
- xrr_ci_rotations :: !Rotation
- xrr_ci_possible :: [RROutput]

#### Instances

Instances details

Storable XRRCrtcInfo # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

sizeOf :: XRRCrtcInfo -> Int #

alignment :: XRRCrtcInfo -> Int #

peekElemOff :: Ptr XRRCrtcInfo -> Int -> IO XRRCrtcInfo #

pokeElemOff :: Ptr XRRCrtcInfo -> Int -> XRRCrtcInfo -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRRCrtcInfo #

pokeByteOff :: Ptr b -> Int -> XRRCrtcInfo -> IO () #

peek :: Ptr XRRCrtcInfo -> IO XRRCrtcInfo #

poke :: Ptr XRRCrtcInfo -> XRRCrtcInfo -> IO () #

Show XRRCrtcInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRRCrtcInfo -> ShowS # show :: XRRCrtcInfo -> String # showList :: [XRRCrtcInfo] -> ShowS #
Eq XRRCrtcInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods (==) :: XRRCrtcInfo -> XRRCrtcInfo -> Bool # (/=) :: XRRCrtcInfo -> XRRCrtcInfo -> Bool #

data XRRPropertyInfo #

Representation of the XRRPropertyInfo struct

Constructors

XRRPropertyInfo |

Fields

- xrr_pi_pending :: !Bool
- xrr_pi_range :: !Bool
- xrr_pi_immutable :: !Bool
- xrr_pi_values :: [CLong]

#### Instances

Instances details

Storable XRRPropertyInfo # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

sizeOf :: XRRPropertyInfo -> Int #

alignment :: XRRPropertyInfo -> Int #

peekElemOff :: Ptr XRRPropertyInfo -> Int -> IO XRRPropertyInfo #

pokeElemOff :: Ptr XRRPropertyInfo -> Int -> XRRPropertyInfo -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRRPropertyInfo #

pokeByteOff :: Ptr b -> Int -> XRRPropertyInfo -> IO () #

peek :: Ptr XRRPropertyInfo -> IO XRRPropertyInfo #

poke :: Ptr XRRPropertyInfo -> XRRPropertyInfo -> IO () #

Show XRRPropertyInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRRPropertyInfo -> ShowS # show :: XRRPropertyInfo -> String # showList :: [XRRPropertyInfo] -> ShowS #
Eq XRRPropertyInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods (==) :: XRRPropertyInfo -> XRRPropertyInfo -> Bool # (/=) :: XRRPropertyInfo -> XRRPropertyInfo -> Bool #

data XRRMonitorInfo #

Representation of the XRRMonitorInfo struct

Constructors

XRRMonitorInfo |

Fields

- xrr_moninf_name :: !Atom
- xrr_moninf_primary :: !Bool
- xrr_moninf_automatic :: !Bool
- xrr_moninf_x :: !CInt
- xrr_moninf_y :: !CInt
- xrr_moninf_width :: !CInt
- xrr_moninf_height :: !CInt
- xrr_moninf_mwidth :: !CInt
- xrr_moninf_mheight :: !CInt
- xrr_moninf_outputs :: [RROutput]

#### Instances

Instances details

Storable XRRMonitorInfo # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

sizeOf :: XRRMonitorInfo -> Int #

alignment :: XRRMonitorInfo -> Int #

peekElemOff :: Ptr XRRMonitorInfo -> Int -> IO XRRMonitorInfo #

pokeElemOff :: Ptr XRRMonitorInfo -> Int -> XRRMonitorInfo -> IO () #

peekByteOff :: Ptr b -> Int -> IO XRRMonitorInfo #

pokeByteOff :: Ptr b -> Int -> XRRMonitorInfo -> IO () #

peek :: Ptr XRRMonitorInfo -> IO XRRMonitorInfo #

poke :: Ptr XRRMonitorInfo -> XRRMonitorInfo -> IO () #

Show XRRMonitorInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRRMonitorInfo -> ShowS # show :: XRRMonitorInfo -> String # showList :: [XRRMonitorInfo] -> ShowS #
Eq XRRMonitorInfo # |
Instance details Defined in Graphics.X11.Xrandr Methods (==) :: XRRMonitorInfo -> XRRMonitorInfo -> Bool # (/=) :: XRRMonitorInfo -> XRRMonitorInfo -> Bool #

compiledWithXrandr :: Bool #

type Rotation = Word16 #

type Reflection = Word16 #

type SizeID = Word16 #

data XRRScreenConfiguration #

#### Instances

Instances details

Data XRRScreenConfiguration # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> XRRScreenConfiguration -> c XRRScreenConfiguration #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c XRRScreenConfiguration #

toConstr :: XRRScreenConfiguration -> Constr #

dataTypeOf :: XRRScreenConfiguration -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c XRRScreenConfiguration) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c XRRScreenConfiguration) #

gmapT :: (forall b. Data b => b -> b) -> XRRScreenConfiguration -> XRRScreenConfiguration #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> XRRScreenConfiguration -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> XRRScreenConfiguration -> r #

gmapQ :: (forall d. Data d => d -> u) -> XRRScreenConfiguration -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> XRRScreenConfiguration -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> XRRScreenConfiguration -> m XRRScreenConfiguration #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> XRRScreenConfiguration -> m XRRScreenConfiguration #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> XRRScreenConfiguration -> m XRRScreenConfiguration #

Show XRRScreenConfiguration # |
Instance details Defined in Graphics.X11.Xrandr Methods showsPrec :: Int -> XRRScreenConfiguration -> ShowS # show :: XRRScreenConfiguration -> String # showList :: [XRRScreenConfiguration] -> ShowS #
Eq XRRScreenConfiguration # |
Instance details Defined in Graphics.X11.Xrandr Methods (==) :: XRRScreenConfiguration -> XRRScreenConfiguration -> Bool # (/=) :: XRRScreenConfiguration -> XRRScreenConfiguration -> Bool #
Ord XRRScreenConfiguration # |

Instance details

Defined in Graphics.X11.Xrandr

Methods

compare :: XRRScreenConfiguration -> XRRScreenConfiguration -> Ordering #

(<) :: XRRScreenConfiguration -> XRRScreenConfiguration -> Bool #

(<=) :: XRRScreenConfiguration -> XRRScreenConfiguration -> Bool #

(>) :: XRRScreenConfiguration -> XRRScreenConfiguration -> Bool #

(>=) :: XRRScreenConfiguration -> XRRScreenConfiguration -> Bool #

max :: XRRScreenConfiguration -> XRRScreenConfiguration -> XRRScreenConfiguration #

min :: XRRScreenConfiguration -> XRRScreenConfiguration -> XRRScreenConfiguration #

xrrQueryExtension :: Display -> IO (Maybe (CInt, CInt)) #

xrrQueryVersion :: Display -> IO (Maybe (CInt, CInt)) #

xrrGetScreenInfo :: Display -> Drawable -> IO (Maybe XRRScreenConfiguration) #

xrrFreeScreenConfigInfo :: XRRScreenConfiguration -> IO () #

xrrSetScreenConfig :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> Time -> IO Status #

xrrSetScreenConfigAndRate :: Display -> XRRScreenConfiguration -> Drawable -> CInt -> Rotation -> CShort -> Time -> IO Status #

xrrConfigRotations :: XRRScreenConfiguration -> IO (Rotation, Rotation) #

xrrConfigTimes :: XRRScreenConfiguration -> IO (Time, Time) #

xrrConfigSizes :: XRRScreenConfiguration -> IO (Maybe [XRRScreenSize]) #

xrrConfigRates :: XRRScreenConfiguration -> CInt -> IO (Maybe [CShort]) #

xrrConfigCurrentConfiguration :: XRRScreenConfiguration -> IO (Rotation, SizeID) #

xrrConfigCurrentRate :: XRRScreenConfiguration -> IO CShort #

xrrRootToScreen :: Display -> Window -> IO CInt #

xrrSelectInput :: Display -> Window -> EventMask -> IO () #

xrrUpdateConfiguration :: XEventPtr -> IO CInt #

xrrRotations :: Display -> CInt -> IO (Rotation, Rotation) #

xrrSizes :: Display -> CInt -> IO (Maybe [XRRScreenSize]) #

xrrRates :: Display -> CInt -> CInt -> IO (Maybe [CShort]) #

xrrTimes :: Display -> CInt -> IO (Time, Time) #

xrrGetScreenResources :: Display -> Window -> IO (Maybe XRRScreenResources) #

xrrGetOutputInfo :: Display -> XRRScreenResources -> RROutput -> IO (Maybe XRROutputInfo) #

xrrGetCrtcInfo :: Display -> XRRScreenResources -> RRCrtc -> IO (Maybe XRRCrtcInfo) #

xrrGetScreenResourcesCurrent :: Display -> Window -> IO (Maybe XRRScreenResources) #

xrrSetOutputPrimary :: Display -> Window -> RROutput -> IO () #

xrrGetOutputPrimary :: Display -> Window -> IO RROutput #

xrrListOutputProperties :: Display -> RROutput -> IO (Maybe [Atom]) #

xrrQueryOutputProperty :: Display -> RROutput -> Atom -> IO (Maybe XRRPropertyInfo) #

xrrConfigureOutputProperty :: Display -> RROutput -> Atom -> Bool -> Bool -> [CLong] -> IO () #

xrrChangeOutputProperty :: Display -> RROutput -> Atom -> Atom -> CInt -> CInt -> [Word32] -> IO () #

xrrGetOutputProperty :: Display -> RROutput -> Atom -> CLong -> CLong -> Bool -> Bool -> Atom -> IO (Maybe (Atom, Int, CULong, [Word32])) #

`xrrGetOutputProperty display output property offset length delete pending propertyType` | returns `Maybe (actualType, format, bytesAfter, data)`.

xrrDeleteOutputProperty :: Display -> RROutput -> Atom -> IO () #

xrrGetMonitors :: Display -> Drawable -> Bool -> IO (Maybe [XRRMonitorInfo]) #